org.apache.maven.scm.provider.hg.command.blame

## Class HgBlameCommand

- java.lang.Object
- - org.apache.maven.scm.command.AbstractCommand
  - - org.apache.maven.scm.command.blame.AbstractBlameCommand
    - - org.apache.maven.scm.provider.hg.command.blame.HgBlameCommand

All Implemented Interfaces:
  Command

    public class HgBlameCommand
    extends AbstractBlameCommand

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Field Summary

Fields
`static String` `BLAME_CMD`

### Fields inherited from interface org.apache.maven.scm.command.Command

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`HgBlameCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BlameScmResult` `executeBlameCommand(ScmProviderRepository repo, ScmFileSet workingDirectory, String filename)`

### Methods inherited from class org.apache.maven.scm.command.blame.AbstractBlameCommand

`executeCommand`

### Methods inherited from class org.apache.maven.scm.command.AbstractCommand

`execute, getLogger, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BLAME_CMD

    public static final String BLAME_CMD

See Also:
  Constant Field Values

### Constructor Detail

#### HgBlameCommand

    public HgBlameCommand()

### Method Detail

#### executeBlameCommand

    public BlameScmResult executeBlameCommand(ScmProviderRepository repo,
                                              ScmFileSet workingDirectory,
                                              String filename)
                                       throws ScmException

Specified by:
  `executeBlameCommand` in class `AbstractBlameCommand`
Throws:
  `ScmException`